# COLMAP Arborescence

## After COLMAP as been run

If your project is called `my_project` and is stored in `/path/to/my_project`
then if you were to look at the `tree` inside `/path/to/my_projet` after COLMAP
has been run you should see something like.

+── images
│   +── image1.jpg
│   +── image2.jpg
│   +── ...
+── sparse
│   +── 0
│   │   +── cameras.bin
│   │   +── images.bin
│   │   +── points3D.bin
│   +── ...
+── dense
│   +── 0
│   │   +── images
│   │   +── sparse
│   │   +── stereo
│   │   +── fused.ply
│   │   +── meshed-poisson.ply
│   │   +── meshed-delaunay.ply
│   +── ...
+── database.db

If you want to learn more about the arborescence of a COLMAP project please
refeer to the official COLMAP documentation at htps://colmap.github.io

## Before COLMAP has been run

If you are starting from scratch you should only need the `images` subfolder.
The argument `basedir` in the different functions in the COLMAP wrapper refers
to the project directory and not to the image directory.

```python
from nerf_homemade.poses.pose_utils import gen_poses
gen_poses('/path/to/my_projet')
```
